#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct GetChunksParameters {
    #[builder(
        custom(type = super::super::super::super::api::Timestamp, convert = Box::new)
    )]
    #[serde(rename = "startTimestamp")]
    start_timestamp: Box<super::super::super::super::api::Timestamp>,
    #[builder(
        custom(type = super::super::super::super::api::Timestamp, convert = Box::new)
    )]
    #[serde(rename = "endTimestamp")]
    end_timestamp: Box<super::super::super::super::api::Timestamp>,
    #[serde(rename = "resolutionNanos")]
    resolution_nanos: conjure_object::SafeLong,
}
impl GetChunksParameters {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        start_timestamp: super::super::super::super::api::Timestamp,
        end_timestamp: super::super::super::super::api::Timestamp,
        resolution_nanos: conjure_object::SafeLong,
    ) -> Self {
        Self::builder()
            .start_timestamp(start_timestamp)
            .end_timestamp(end_timestamp)
            .resolution_nanos(resolution_nanos)
            .build()
    }
    #[inline]
    pub fn start_timestamp(&self) -> &super::super::super::super::api::Timestamp {
        &*self.start_timestamp
    }
    #[inline]
    pub fn end_timestamp(&self) -> &super::super::super::super::api::Timestamp {
        &*self.end_timestamp
    }
    #[inline]
    pub fn resolution_nanos(&self) -> conjure_object::SafeLong {
        self.resolution_nanos
    }
}
